
module DM::BoolTools::ToolMixin

  #start operation based on instance variable bool_operation_string

  def start_operation(string)

    Sketchup.active_model.start_operation(string, true)

  end



  def validate_operands(first, second = nil)

    begin

      DM::BoolTools::Boolean.validate_operands(first, second)

    rescue Exception => e

      res = UI.messagebox("Warning:\n#{e.message}\n\nResults may not be as expected.  Continue?", MB_YESNO)

      return false if (res == 7)

    end



    return true

  end



  # returns the bounding box that encloses the array of groups of components

  # @param [Array] instances an array that includes only groups or component instances

  # @return [BoundingBox]

  def get_bounds_of_instances(instances)

    box = Geom::BoundingBox.new

    instances.each { |inst| box.add(inst.bounds) }

    box

  end



  def onCancel(reason, view)

    reset

  end

end